require 'msgpack'
require 'securerandom'
require 'date'

require_relative '../errors'

module Reckoner
  module Cdp
    module API
      module Streaming
        def insert(workflow_id, data)
          unless data.class == Array
            raise Reckoner::Cdp::InvalidArgumentError, "'data' must be an Array"
          end

          params = {
            data: data.to_msgpack,
            time: Time.now.to_i,
            workflow_id: workflow_id,
            record_id: SecureRandom.uuid
          }
          get('/api/v1/streaming', params)
        end
        
      end
    end
  end
end
