require_relative 'api/streaming_core'

module Reckoner
  module Cdp
    class Client
      def initialize(token, endpoint: nil, client_id: nil, connection: nil)
        @token = token
        @endpoint = endpoint
        @client_id = client_id
        @connection = connection
      end

      def streaming_insert(workflow_id, data)
        streaming_api.insert(workflow_id, data)
      end

      private

      def streaming_api
        @streaming_api ||= Reckoner::Cdp::API::StreamingCore.new(
          @token,
          @endpoint,
          @client_id,
          @connection
        )
      end
    end
  end
end
